#  Test connectivity for a periodic covalent solid

from numpy        import array
from chemsh       import *
from chemsh.utils import testutils

quartz = Fragment(coords='quartz.cjson')

reference = array(
        [[ 1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1],
         [ 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]])

testutils.validate(quartz.conn, reference)
